Bug 501523 - Allow user-definable default setting for Sections field other than "Summary"
Allow user-definable default setting for Sections field other than "Summary"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pengfei Xue
:
Depends On:
Blocks: 807440
  Show dependency treegraph
 
Reported: 2009-05-19 11:06 EDT by Gary Case
Modified: 2012-04-19 22:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 22:38:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for tabs (1.46 KB, patch)
2012-02-06 01:53 EST, Pengfei Xue
pxue: review? (rlandry)
pxue: review? (tfu)
pxue: review? (wshen)
Details | Diff

  None (edit)
Description Gary Case 2009-05-19 11:06:34 EDT
Description of problem:
*All* my interactions with hwcert entries require me to click the "Show All" option under the Sections field. It's very frustrating to have to click that every time I want to do anything. It's especially annoying when I have to make multiple changes that require saving after each action, because I have to go back to the top and click "Show All" again after very submission.

Version-Release number of selected component (if applicable):
Current hwcatalog

How reproducible:
Every time

Steps to Reproduce:
1. Have a requirement to do anything on a cert that requires a field not shown in the Summary view, which is everything a TAM needs to do with certs.
2. Click "Show All"
3. Perform the operation
4. Start again at #1 if the operation has multiple steps
  
Actual results:
Having to click the Show All option every time a ticket loads from the catalog

Expected results:
Preferences saved so that I don't have to click Show All every time I need to use the catalog.

Additional info:
Comment 3 Rob Landry 2011-06-24 15:54:35 EDT
Gary, can you take a look @ the catalog extension beta.  The behavior is different there which may impact your requirements.
Comment 4 Pengfei Xue 2012-02-06 01:53:55 EST
Created attachment 559556 [details]
patch for tabs
Comment 5 Rob Landry 2012-03-13 15:09:08 EDT
(In reply to comment #4)
> Created attachment 559556 [details]
> patch for tabs

Maybe I'm not reading the patch correctly but I don't follow how this change allows for user selectable persistent showall?
Comment 6 Pengfei Xue 2012-03-13 21:47:12 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > Created attachment 559556 [details]
> > patch for tabs
> 
> Maybe I'm not reading the patch correctly but I don't follow how this change
> allows for user selectable persistent showall?

This change doesn't persistent user's preference, it will keep the choice, e.g. showall, after user saves current changes.

if we need to store preference persistently, we should change the db, add a new table for this. or we can alter table xmlrpc_login_cookies adding a new field and store the preference again after login cookie expired
Comment 7 Rob Landry 2012-03-14 13:04:37 EDT
(In reply to comment #6)

> if we need to store preference persistently, we should change the db, add a new
> table for this. or we can alter table xmlrpc_login_cookies adding a new field
> and store the preference again after login cookie expired

We shouldn't need to change any tables.  I think a cookie would be fine.
Comment 13 Rob Landry 2012-03-30 15:01:36 EDT
In order for showall to work using the login cookie the user must first make an update to the cert.

Steps to reproduce:
1. open web2/show.cgi?id=
2. select showall
3. open web2/show.cgi?id=731218 in a new tab
4. still on summary tab

adding step 
1a. select save changes 4. to on show all.

This is a bit of a goofy user experience but I think we can go with it.  If the user stays with tab view they won't see a change.  If the user goes with showall, at some point they are likely to do an update with show all and from then on the desired default is set.
Comment 14 Pengfei Xue 2012-03-30 22:14:36 EDT
(In reply to comment #13)
> In order for showall to work using the login cookie the user must first make an
> update to the cert.
> 
> Steps to reproduce:
> 1. open web2/show.cgi?id=
> 2. select showall
> 3. open web2/show.cgi?id=731218 in a new tab
> 4. still on summary tab
> 
> adding step 
> 1a. select save changes 4. to on show all.
> 
> This is a bit of a goofy user experience but I think we can go with it.  

yes, we need 'save changes' to make tab selection work, we are not using ajax, so, that's expected.
Comment 15 Wei Shen 2012-03-31 02:04:26 EDT
verified on web2
Comment 16 Wei Shen 2012-04-10 22:54:02 EDT
verified on partner

Note You need to log in before you can comment on or make changes to this bug.